# MaxSessions

Limits the number of open sessions.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  MaxSessions

Scope:

  module, input

Type:

  integer

Default:

  module=0; input=0

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Maximum number of open sessions allowed. When used as a module parameter this value becomes the default inherited by each `input()` instance but is not a global maximum. When set inside an input, it applies to that listener. A setting of zero or less than zero means no limit.

## Module usage

    module(load="imptcp" maxSessions="...")

## Input usage

    input(type="imptcp" maxSessions="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.